org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedVertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedVertexTest

-     public class DetachedVertexTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetachedVertexTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldBeAbleToCallPropertyIfThereIsASingleProperty()`
    `void` | `shouldConstructDetachedVertex()`
    `void` | `shouldConstructDetachedVertexAsReference()`
    `void` | `shouldConstructDetachedVertexFromParts()`
    `void` | `shouldConstructDetachedVertexFromPartsWithPropertiesOnProperties()`
    `void` | `shouldCreateVertex()`
    `void` | `shouldDetachCollections()`
    `void` | `shouldDetachVertexWithMultiPropertiesAndMetaProperties()`
    `void` | `shouldEvaluateToEqual()`
    `void` | `shouldHashAndEqualCorrectly()`
    `void` | `shouldHaveSameHashCode()`
    `void` | `shouldIteratePropertiesOnDetached()`
    `void` | `shouldNotAllowAddEdge()`
    `void` | `shouldNotAllowRemove()`
    `void` | `shouldNotAllowSetProperty()`
    `void` | `shouldNotBeAbleToCallPropertyIfThereAreMultipleProperties()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyDetached()`
    `void` | `shouldNotEvaluateToEqualDifferentId()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetachedVertexTest

          public DetachedVertexTest()

  - ### Method Detail

    - #### shouldIteratePropertiesOnDetached

          public void shouldIteratePropertiesOnDetached()

    - #### shouldHashAndEqualCorrectly

          public void shouldHashAndEqualCorrectly()

    - #### shouldNotConstructNewWithSomethingAlreadyDetached

          public void shouldNotConstructNewWithSomethingAlreadyDetached()

    - #### shouldConstructDetachedVertex

          public void shouldConstructDetachedVertex()

    - #### shouldConstructDetachedVertexAsReference

          public void shouldConstructDetachedVertexAsReference()

    - #### shouldDetachVertexWithMultiPropertiesAndMetaProperties

          public void shouldDetachVertexWithMultiPropertiesAndMetaProperties()

    - #### shouldEvaluateToEqual

          public void shouldEvaluateToEqual()

    - #### shouldHaveSameHashCode

          public void shouldHaveSameHashCode()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

    - #### shouldNotEvaluateToEqualDifferentId

          public void shouldNotEvaluateToEqualDifferentId()

    - #### shouldConstructDetachedVertexFromParts

          public void shouldConstructDetachedVertexFromParts()

    - #### shouldConstructDetachedVertexFromPartsWithPropertiesOnProperties

          public void shouldConstructDetachedVertexFromPartsWithPropertiesOnProperties()

    - #### shouldNotAllowAddEdge

          public void shouldNotAllowAddEdge()

    - #### shouldNotAllowSetProperty

          public void shouldNotAllowSetProperty()

    - #### shouldNotAllowRemove

          public void shouldNotAllowRemove()

    - #### shouldNotBeAbleToCallPropertyIfThereAreMultipleProperties

          public void shouldNotBeAbleToCallPropertyIfThereAreMultipleProperties()

    - #### shouldBeAbleToCallPropertyIfThereIsASingleProperty

          public void shouldBeAbleToCallPropertyIfThereIsASingleProperty()

    - #### shouldCreateVertex

          public void shouldCreateVertex()

    - #### shouldDetachCollections

          public void shouldDetachCollections()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.